package domain


type AlibabaWdkChannelOrderCreateOrderOperateResult struct {
    /*
        盒马主单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        子单列表信息     */
    SubOrderResults  *[]AlibabaWdkChannelOrderCreateSubOrder `json:"sub_order_results,omitempty" `

}

func (s *AlibabaWdkChannelOrderCreateOrderOperateResult) SetBizOrderId(v string) *AlibabaWdkChannelOrderCreateOrderOperateResult {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateOrderOperateResult) SetOutOrderId(v string) *AlibabaWdkChannelOrderCreateOrderOperateResult {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateOrderOperateResult) SetSubOrderResults(v []AlibabaWdkChannelOrderCreateSubOrder) *AlibabaWdkChannelOrderCreateOrderOperateResult {
    s.SubOrderResults = &v
    return s
}
